# cmath File Reference

`#include <bits/c++config.h>`
`#include <math.h>`

Include dependency graph for cmath:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx
namespace | __gnu_cxx::__c99_binding
namespace | std

## Detailed Description

This is a Standard C++ Library file. You should `#include` this file in your programs, rather than any of the "*.h" implementation files.

This is the C++ version of the Standard C Library header `math.h`, and its contents are (mostly) the same as that header, but are all contained in the namespace `std`.

Definition in file cmath.